| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | List of all members
Tp::Service::CallContentAdaptor Class Reference

`#include <TelepathyQt/_gen/svc-call.h>`

Inheritance diagram for Tp::Service::CallContentAdaptor:
[legend]

## Public Slots

void | Remove (const QDBusMessage &dbusMessage)

## Signals

void | StreamsAdded (const Tp::ObjectPathList &streams)
void | StreamsRemoved (const Tp::ObjectPathList &streams, const Tp::CallStateReason &reason)

## Public Member Functions

QStringList | Interfaces () const
QString | Name () const
uint | Type () const
uint | Disposition () const
Tp::ObjectPathList | Streams () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content".

## Member Function Documentation

## § Interfaces()

QStringList Tp::Service::CallContentAdaptor::Interfaces | ( |  | ) | const

Return the value of the exported D-Bus object property `Interfaces` of type `QStringList`.

Adaptees should export this property as a Qt property named 'interfaces' with type QStringList.

Extra interfaces provided by this content, such as CallContentInterfaceMediaInterface , ChannelInterfaceHoldInterface or CallInterfaceMuteInterface . This SHOULD NOT include the Content interface itself, and cannot change once the content has been created.

Returns
  The value of exported property `Interfaces`.

## § Name()

QString Tp::Service::CallContentAdaptor::Name | ( |  | ) | const

Return the value of the exported D-Bus object property `Name` of type `QString`.

Adaptees should export this property as a Qt property named 'name' with type QString.

The name of the content.

The content name property should be meaningful, so should be given a name which is significant to the user. The name could be the "audio" or "video" string localized, or perhaps include some string identifying the source, such as a webcam identifier.

Returns
  The value of exported property `Name`.

## § Type()

uint Tp::Service::CallContentAdaptor::Type | ( |  | ) | const

Return the value of the exported D-Bus object property `Type` of type `uint`.

Adaptees should export this property as a Qt property named 'type' with type uint.

The media type of this content.

Returns
  The value of exported property `Type`.

## § Disposition()

uint Tp::Service::CallContentAdaptor::Disposition | ( |  | ) | const

Return the value of the exported D-Bus object property `Disposition` of type `uint`.

Adaptees should export this property as a Qt property named 'disposition' with type uint.

The disposition of this content.

Returns
  The value of exported property `Disposition`.

## § Streams()

Tp::ObjectPathList Tp::Service::CallContentAdaptor::Streams | ( |  | ) | const

Return the value of the exported D-Bus object property `Streams` of type `Tp::ObjectPathList`.

Adaptees should export this property as a Qt property named 'streams' with type Tp::ObjectPathList.

The list of CallStreamInterface objects that exist in this content.

In a conference call multiple parties can share one media content (say, audio), but the streaming of that media can either be shared or separate. For example, in a multicast conference all contacts would share one stream, while in a Muji conference there would be a stream for each participant.

Change notification is through the StreamsAdded() and StreamsRemoved() signals.

Returns
  The value of exported property `Streams`.

## § Remove

void Tp::Service::CallContentAdaptor::Remove | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `Remove` on this object.

Adaptees should export this method as a Qt slot with the following signature: void remove(const Tp::Service::CallContentAdaptor::RemoveContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Remove the content from the call. This will cause Call1.ContentRemoved((self_handle, User_Requested, "", "")) to be emitted.

## § StreamsAdded

void Tp::Service::CallContentAdaptor::StreamsAdded | ( | const Tp::ObjectPathList & | streams | ) |

signal

Represents the exported D-Bus signal `StreamsAdded` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void streamsAdded(const Tp::ObjectPathList& streams);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  streams

      The Streams which were added.

## § StreamsRemoved

void Tp::Service::CallContentAdaptor::StreamsRemoved | ( | const Tp::ObjectPathList & | streams,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

Represents the exported D-Bus signal `StreamsRemoved` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void streamsRemoved(const Tp::ObjectPathList& streams, const Tp::CallStateReason& reason);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  streams

      The Streams which were removed.

  reason

      Why the content was removed.